Skip to content

Given a debug log ID, retrieve details about this debug log.

GET/api/{version}/logs/code/debug/{id}
NameDescription
Acceptapplication/json
NameDescription
{id}The ID of the debug log to retrieve.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v25.2/logs/code/debug/0LS000000003006
{ "responseStatus": "SUCCESS", "data": { "id": "0LS000000003006", "name": "Record Trigger Troubleshooting", "user_id": 61603, "log_level": "all__sys", "expiration_date": "2025-01-11T03:09:47.000Z", "class_filters": [ { "name": "com.veeva.vault.custom.HelloWorld", "code_type": "Pagecontroller" }, { "name": "com.veeva.vault.custom.triggers.HelloWorld", "code_type": "Recordtrigger" } ], "status": "active__sys", "created_date": "2024-12-12T03:09:47.000Z" } }

On SUCCESS, the response includes the following data for each debug log: